(function() {
	/**********************************
	 * Notification
	 * ダイアログ、音、バイブレーション
	 * 機能で情報通知する機能を提供する
	 **********************************/

	/*
	 * ダイアログボックスを表示
	 * message    : String ダイアログのメッセージを表す
	 * title      : String ダイアログのタイトルを表す
	 * buttonName : String ボタンの名前を表す
	 */
	notificationAlert = function(message, title, buttonName) {
		applican.notification.alert(message, alertCallback, title, buttonName);
	};

	/*
	 * ダイアログが確認された後のコールバック
	 */
	alertCallback = function() {
		var dump = "ダイアログが確認されました\n";
		document.getElementById("dumpAreaNotification").value = dump;
	};

	/*
	 * 確認ダイアログボックスを表示
	 * message    : String ダイアログのメッセージを表す
	 * title      : String ダイアログのタイトルを表す
	 * buttonName : String ボタンのラベルを設定するためのカンマ区切りの文字列を表す
	 */
	notificationConfirm = function(message, title, buttonName) {
		applican.notification.confirm(message, confirmCallback, title, buttonName);
	};

	/*
	 * 確認ダイアログが確認された後のコールバック
	 * buttonIndex : Number 押されたボタンを表すインデックス(1始まり)
	 */
	confirmCallback = function(buttonIndex) {
		var dump = "確認ダイアログが確認されました\n";
		dump    += "result:" + buttonIndex + "\n";
		document.getElementById("dumpAreaNotification").value = dump;
	};

	/*
	 * 警告音を鳴らす
	 * times : Number 警告音を鳴らす回数を指定
	 */
	notificationBeep = function(times) {
		applican.notification.beep(times);
	};

	/*
	 * 指定された時間、端末をバイブレーションさせる
	 * milliseconds : Number バイブレーションの長さをミリ秒単位で表す
	 */
	notificationVibrate = function(milliseconds) {
		applican.notification.vibrate(milliseconds);
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「Alert」ボタン押下処理
		document.getElementById("alertBtn").addEventListener("touchend", function() {
			notificationAlert("メッセージ", "タイトル", "ボタン");
		}, false);
		// 「Confirm」ボタン押下処理
		document.getElementById("confirmBtn").addEventListener("touchend", function() {
			notificationConfirm("メッセージ", "タイトル", "ボタン1,ボタン2,ボタン3");
		}, false);
		// 「Beep」ボタン押下処理
		document.getElementById("beepBtn").addEventListener("touchend", function() {
			notificationBeep(3);
		}, false);
		// 「Vibrate」ボタン押下処理
		document.getElementById("vibrateBtn").addEventListener("touchend", function() {
			notificationVibrate(2000);
		}, false);
	}, false);
})();
